<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.platform.yijia.dao.StationPayManageMapper">
  <resultMap id="BaseResultMap" type="com.platform.yijia.pojo.StationPayManage">
    <id     column="pay_id"                           jdbcType="INTEGER"       property="payId" />
    <result column="pay_mode"                         jdbcType="VARCHAR"       property="payMode" />
    <result column="station_id"                       jdbcType="INTEGER"       property="stationId" />
    <result column="station_name"                     jdbcType="VARCHAR"       property="stationName" />
    <result column="image_photos_flag"                jdbcType="CHAR"          property="imagePhotosFlag" />
    <result column="activity_pic"                     jdbcType="LONGVARBINARY" property="activityPic" />
    <result column="card_enabled_flag"                jdbcType="CHAR"          property="cardEnabledFlag" />
    <result column="preferential_way_share_flag"      jdbcType="CHAR"          property="preferentialWayShareFlag" />
    <result column="other_preferential_way"           jdbcType="VARCHAR"       property="otherPreferentialWay" />
    <result column="pay_print_num"                    jdbcType="INTEGER"       property="payPrintNum" />
    <result column="pay_callback_page"                jdbcType="VARCHAR"       property="payCallbackPage" />
    <result column="ws_print_flag"                    jdbcType="CHAR"          property="wsPrintFlag" />
    <result column="print_setting"                    jdbcType="VARCHAR"       property="printSetting" />
    <result column="discount_setting"                 jdbcType="VARCHAR"       property="discountSetting" />
    <result column="is_no_oil"                        jdbcType="VARCHAR"       property="isNoOil" />
    <result column="notice"                           jdbcType="VARCHAR"       property="notice" />
    <result column="integral_flag"                    jdbcType="VARCHAR"       property="integralFlag" />
    <result column="integral_print_flag"              jdbcType="VARCHAR"       property="integralPrintFlag" />
  </resultMap>


  <sql id="Base_Column_List">
    pay_id, pay_mode, station_id, station_name, image_photos_flag,activity_pic, card_enabled_flag,
    preferential_way_share_flag, other_preferential_way, pay_print_num, pay_callback_page,
    ws_print_flag, print_setting, discount_setting, is_no_oil, notice, integral_flag, integral_print_flag
  </sql>
    <!--查询油站配置信息-->
  <select id="selectStationPayManage" parameterType="com.platform.yijia.pojo.StationPayManage" resultMap="BaseResultMap">
    SELECT
        <include refid="Base_Column_List" />
    FROM station_pay
    <where>
        <if test="stationId !=null">
            station_id = #{stationId}
        </if>
    </where>
  </select>

</mapper>
